Metadata-Version: 2.4
Name: apftool
Version: 0.3.1
Summary: Aperture Science Image Format (apf) encoder and decoder
Author: Mari (kbity)
Requires-Python: >=3.10
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: Pillow
Dynamic: license-file

A library for converting to and from Aperture Science apf files, the custom extended apf2s, and wbmp images.

usage: 

```
import apftool
apfString = apftool.encodeapf(pngObject) # turns image bytes object into apf string
pngObject = apftool.decodeapf(apfString) # turns apf string object into image bytes
```

included is a simple cli tool.

usage:

```
python apfcli.py maricom.png # creates maricom.apf
python apfcli.py maricom.apf # creates maricom.png
```

dependancies: `PIL, io` (apftool)

dependancies: `sys, os, io` (apfcli)

most of these a builtins but you may need to install PIL seporately
